﻿using Assets.Scripts.API;
using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class SimpleEnnemy : MonoBehaviour
{
    private Transform _position;

    public float Speed = 2f;

	void Start ()
	{
	    _position = GetComponent<Transform>();
	}
	
	void Update ()
	{
	    _position.Translate(new Vector3(Speed * Time.deltaTime, 0, 0));

	    if (_position.position.x < Camera.main.ScreenToWorldPoint(new Vector3(0, 0, 0)).x)
	    {
	        gameObject.SetActive(false);
	    }
	}

    void OnTriggerEnter2D(Collider2D other)
    {
        Debug.Log("Entered");
        gameObject.SetActive(false);
        //GetScores(); TODO: Successfully get scores from API
    }

	void GetScores() {
        Debug.Log("Getting scores...");
        Server.GetScores();
        Debug.Log("Got scores.");
	}
}
